import { action, makeObservable, observable } from "mobx";
import { Intersection } from "three";

export class ThreeStore {
  constructor() {
    makeObservable(this);
  }

  @observable raycasterObjects: Intersection[] = [];
  @action setRaycasterIntersectObjects = (objects: Intersection[]) => (this.raycasterObjects = objects);
}

export const threeStore = new ThreeStore();
